Skip to main content
POST /auth/nonce

Request body

address
string
required
EVM wallet address that will sign the SIWE message.

Responses

nonce
string
required
siwe
object
required
siwe.domain
string
required
siwe.uri
string
required
siwe.chain_id
number
required
siwe.statement
string
required
siwe.expiration
string
required
siwe.issued_at
string
required
curl -X POST "https://base.sepolia.api.4mica.xyz/auth/nonce" \
  -H "Content-Type: application/json" \
  -d '{"address":"0x1111111111111111111111111111111111111111"}'
{
  "nonce": "9c1c0c7e",
  "siwe": {
    "domain": "4mica.io",
    "uri": "https://4mica.io",
    "chain_id": 84532,
    "statement": "Sign in to 4Mica",
    "expiration": "2026-06-22T11:00:00Z",
    "issued_at": "2026-06-22T10:00:00Z"
  }
}

Status codes

CodeDescription
200Nonce and SIWE template created.
400The wallet address is missing or invalid.
500The operator could not create the nonce.
Sign the generated SIWE message, then call POST /auth/verify.